<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Perawatan</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Perawatan Aset</h1>
            <div class="section-header-breadcrumb">
                <div class="breadcrumb-item active"><a href="#">asset</a></div>
                <div class="breadcrumb-item">list</div>
            </div>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            <h4>List Data</h4>
                            <div class="card-header-action">
                                <button type="button" class="btn btn-success btn-sm" data-toggle="modal" data-backdrop="false" data-target="#exampleModal"><i class="fa fa-plus-circle"></i> Perawatan</button>

                                <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <form th:action="@{/masters/asset/perawatan}" method="post">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="exampleModalLabel">Perawatan</h5>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                </div>
                                                <div class="modal-body">
                                                    <div class="form-group">
                                                        <label>Tanggal Perawatan</label>
                                                        <input type="date" class="form-control" name="tanggalPerawatan">
                                                        <input type="hidden" name="idAset" th:value="${aset.id}">
                                                    </div>
                                                    <div class="form-group">
                                                        <label>Keterangan</label>
                                                        <input type="text" class="form-control" name="keterangan">
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                    <button type="submit" class="btn btn-primary">Save changes</button>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>

                                <a th:href="@{/masters/asset}" class="btn btn-sm btn-warning"><i class="fa fa-arrow-circle-left"></i> Kembali</a>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Aset</th>
                                        <th>Ruangan</th>
                                        <th>Tanggal Perawatan</th>
                                        <th>Keterangan</th>
                                        <th></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="data, row:${list}">
                                        <td th:text="${(row.index + 1)}"></td>
                                        <td th:text="${data.idAset.namaAset}"></td>
                                        <td th:text="${data.idAset.ruangan.namaRuangan}"></td>
                                        <td th:text="${data.tanggalPerawatan}"></td>
                                        <td th:text="${data.keterangan}"></td>
                                        <td>
                                            <a th:href="@{/masters/asset/perawatan/hapus(asetPerawatan = ${data.id})}" class="btn btn-danger btn-sm"><i class="fa fa-trash"></i></a>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
</body>
</html>